using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WorkFlowCheck.Common.DTO
{
    public class RoleCheckPointDTO
    {
        public int Id { get; set; }

        [Required(ErrorMessage = "A szabály megadása kötelező.")]
        [DisplayName("Szabály")]
        public int RoleId { get; set; }
        public RoleDTO? RoleDTO { get; set; } = null!;

        [Required(ErrorMessage = "Az ellenőrzési pont megadása kötelező.")]
        [DisplayName("Ellenőrzési pont")]
        public int CheckPointId { get; set; }
        public CheckPointDTO? CheckPointDTO { get; set; } = null!;
        
        [DisplayName("Engedélyezve?")]
        public bool Enabled { get; set; } = false;
    }
}
